View Issue Details

IDProjectCategoryView StatusLast Update
0001076Справочники[All Projects] Generalpublic2018-06-12 12:06
ReporterruslanAssigned Tobarry 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
Summary0001076: +/-Справочники Товары-функция Удалить дубликаты - все параметры, которые есть в карточке Товара переносить в прих.поз
DescriptionСабж
TagsNo tags attached.

Activities

barry

2017-06-22 22:53

administrator   ~0002752

Ну если там есть в другом значения, будут же дубликаты? Или что имеется ввиду? Или какие-то специфические параметры?

ruslan

2017-06-26 14:16

manager   ~0002762

имеется в виду слудующее, те параметры, которые есть в карточке справочника Товары и дублируются в поз. приходной накладной:
- ШК
- Код УКТВЭД
- Х
- Y
- Z
и поле Полное наименование, если пустое, то поле Наименование переносить в поле Наименование поставщика по поз. приходной накладной.
Логика такая - если поле в справочнике НЕ ПУСТОЕ, а в поз. приходной накладной пустое, то параметры обновить по позициям в приходной накладной.
Зачем? Чтоб информация по удаляемым позициям осталась в партиях, которые были по этим позициям оприходованы....
Сейчас становиться очевидным, что пока не было поля Наименование поставщика бухгалтия повносили кучу логических дубликатов, которые нужно удалить и привести к одной позиции, НО так чтоб история по поставщикам и наименованиям оставалась...

barry

2017-08-01 10:41

administrator   ~0002848

> Логика такая - если поле в справочнике НЕ ПУСТОЕ, а в поз. приходной накладной
> пустое, то параметры обновить по позициям в приходной накладной.

По-моему мысль Алогична...

ruslan

2017-08-01 11:09

manager   ~0002849

Last edited: 2017-08-01 11:10

View 2 revisions

Не понял ... объясни. Борь, ты от меня всегда требуешь развернутых комментариев... ну а я мысли тоже не читаю...

barry

2017-08-01 11:55

administrator   ~0002851

mebl_ib5.zip

barry

2017-08-01 11:55

administrator   ~0002852

проверить

barry

2017-08-01 11:57

administrator   ~0002853

если поле в приходной накладной пустое, то обновить пустым значением заполненное поле в справочнике?

ruslan

2017-08-01 13:17

manager   ~0002854

ну я вроде так написал: "если поле в справочнике НЕПУСТОЕ, а в поз. приходной накладной пустое", т.е. проверку мы делаем поля в справочнике Товары у удаляемой позиции и все непустые поля
- ШК
- Код УКТВЭД
- Х
- Y
- Z
переносим в позиции накладной, если в позициях прихода они пустые.

barry

2017-08-01 13:47

administrator   ~0002855

я сделал перенос в справочник из приходной накладной

barry

2017-08-01 13:47

administrator   ~0002856

в приходной его продадут и уже не будет

ruslan

2017-08-01 14:50

manager   ~0002857

Еще раз, мне нужно сохранить ОРИГИНАЛЬНЫЕ реквизиты товара из справочника по той позиции, которая УДАЛЯЕТСЯ в процессе удаления дубликата в позициях товара в приходной накладной по которым эта позиция БЫЛА ОПРИХОДОВАНА, т.е. например есть позиции
1. ДСП 16 Орех Кронос 1 сорт 2500*1250
Х=2500
У=1250
Z=16
ШК=4789524521121
УКТВЭД=856458754
2. ДСП 16 Орех ЛьвовДрев 2 сорт односторонняя 2420*1200
Х=2420
У=1200
Z=16
ШК=4789525541128
УКТВЭД=856458754
Я хочу объединить эти позиции сделать одно наименование "ДСП 16 Орех одностороннее", соответственно останется одна позиция, со своими параметрами, а параметры второй позиции, чтоб перенеслись в параметры товара в приходной накладной, чтоб было понятно, что это был за товар изначально, с какими размерами, кодами и в поле наименование поставщика внести его наименование(или полное наименование если оно было заполнено). И тогда все будет на своих местах, для бухгалтера информация не потеряется, а для производства не нужно будет делать эквиваленты и т.д. а размеры для раскроя будут браться из товара в приходе.

ruslan

2017-08-01 14:52

manager   ~0002858

2017-08-01 13:47

>>я сделал перенос в справочник из приходной накладной

и что это нам даст если к примеру могут быть ситуации оприходования этого товара с разными параметрами в приходе, а в справочнике поле х, y, z и т.д. только одно?

barry

2017-08-01 19:10

administrator   ~0002859

mebl_ib5.zip

ruslan

2017-12-22 16:26

manager   ~0003087

Last edited: 2017-12-22 16:28

View 2 revisions

Ошибка при объединении дубликата:
Произошла ошибка:
validation error for column GODSID, value "*** null ***"
At procedure 'GOODS_REPLACEANDREMOVE' line: 39, col: 7
Execute Procedure Goods_ReplaceAndRemove(:KeepID, :DelID)


Склад[ADMIN]
Application.MainForm: FormStor(TFormStor) XE2 Склад: Test (ГОЛОВКО ЧП) [Администратор Системы]
ActiveForm: FormHBGds(TFormHBGds) Товары
ActiveCustomForm: FormHBGds(TFormHBGds) Товары
Qw.SQL.Text = <<
Execute Procedure Goods_ReplaceAndRemove(:KeepID, :DelID)
>>
Базу послал на почту товар, который не удаляется в самой верхней группе с пустым наименованием товар Колобок. Так это я смог воспроизвести. А в ДК другая ошибка(см. приложенную картинку).

ruslan

2017-12-22 16:26

manager  

Ошибка при объединении дубликатов Товаров.jpg (481,473 bytes)

ruslan

2018-01-18 11:54

manager   ~0003156

Разобрался с процедурой... там у тебя где идет добавление в таблицу vendorname, добавляется только Наименование и ИД, а там есть поле GodsID в таблице указано Not Null- на этом месте и валиться, я добавил в запрос Insert :KID.
Вот так у тебя:
  if (:FullName <> '') then begin
    select min(ID) from VendorName where Name=:FullName into :VendorNameID;
    if (:VendorNameID is null) then begin
      VendorNameID = Gen_ID(VendorName_ID, 1);
      insert into VendorName(ID, Name) Values(:VendorNameID, :FullName);
    end
А так я сделал
  if (:FullName <> '') then begin
    select min(ID) from VendorName where Name=:FullName into :VendorNameID;
    if (:VendorNameID is null) then begin
      VendorNameID = Gen_ID(VendorName_ID, 1);
      insert into VendorName(ID, Name,GODSID) Values(:VendorNameID, :FullName, :kid);
    end

barry

2018-06-11 13:17

administrator   ~0003801

mebl_ib5.zip

Issue History

Date Modified Username Field Change
2017-06-16 17:37 ruslan New Issue
2017-06-22 22:53 barry Note Added: 0002752
2017-06-22 22:53 barry Assigned To => barry
2017-06-22 22:53 barry Status new => feedback
2017-06-26 14:16 ruslan Note Added: 0002762
2017-06-26 14:16 ruslan Status feedback => assigned
2017-08-01 10:41 barry Note Added: 0002848
2017-08-01 11:09 ruslan Note Added: 0002849
2017-08-01 11:10 ruslan Note Edited: 0002849 View Revisions
2017-08-01 11:12 ruslan Summary +/-Справочники Товары-функция Удалить дубликаты - все параметры, которые есть в прих. накл. переносить для удаляемой позиции => +/-Справочники Товары-функция Удалить дубликаты - все параметры, которые есть в карточке Товара переносить в прих.поз
2017-08-01 11:55 barry Note Added: 0002851
2017-08-01 11:55 barry Note Added: 0002852
2017-08-01 11:55 barry Status assigned => resolved
2017-08-01 11:55 barry Resolution open => fixed
2017-08-01 11:57 barry Note Added: 0002853
2017-08-01 13:17 ruslan Note Added: 0002854
2017-08-01 13:47 barry Note Added: 0002855
2017-08-01 13:47 barry Note Added: 0002856
2017-08-01 14:50 ruslan Note Added: 0002857
2017-08-01 14:52 ruslan Note Added: 0002858
2017-08-01 19:10 barry Note Added: 0002859
2017-12-22 16:26 ruslan Note Added: 0003087
2017-12-22 16:26 ruslan Status resolved => feedback
2017-12-22 16:26 ruslan Resolution fixed => reopened
2017-12-22 16:26 ruslan File Added: Ошибка при объединении дубликатов Товаров.jpg
2017-12-22 16:28 ruslan Note Edited: 0003087 View Revisions
2018-01-18 11:54 ruslan Note Added: 0003156
2018-01-18 11:54 ruslan Status feedback => assigned
2018-06-11 13:17 barry Note Added: 0003801
2018-06-11 13:18 barry Status assigned => resolved
2018-06-12 12:06 ruslan Status resolved => closed